> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve gallery media

> Returns media items from a gallery. This is a public endpoint — no authorization required.



## OpenAPI

````yaml api-reference/library-openapi.json GET /public/brands/{brand_id}/galleries/{gallery_id}/media
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Social
    url: https://dashsocial.com
  description: Manage media, galleries, products, and more in the Dash Social platform.
  license:
    name: Commercial
    url: https://dashsocial.com/terms
  title: Dash Social Library Backend Service
  version: '1.0'
  x-logo:
    altText: Dash Social logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://library-backend.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: Endpoints responsible for administrative actions.
    name: Admin
  - description: Endpoint(s) for working with affiliate links in campaigns
    name: AffiliateLinks
  - description: Endpoints responsible for managing AI alternative ads.
    name: AiAlternativeAds
  - description: Endpoints responsible for managing AI alternative media.
    name: AiAlternativeMedia
  - description: Endpoints responsible for fetching AI alternative media for a brand.
    name: BrandAiAlternativeMedia
  - description: Endpoints responsible for creating, reading, and updating campaigns.
    name: Campaign
  - description: Endpoints responsible for bulk campaigns actions for many brands.
    name: CampaignBulk
  - description: Endpoints for campaign benchmarks.
    name: CampaignBenchmarks
  - description: CRUD endpoint for comparing campaigns
    name: Campaign Comparison
  - description: Endpoints responsible for searching for competitors
    name: Competitors
  - description: Endpoints relating to content automations
    name: Content Automations
  - description: Endpoints relating to content automations across organizations
    name: Content Automations Cross Organization
  - description: Endpoints for content rights management.
    name: ContentRights
  - description: Endpoints relating to brand media content tags.
    name: BrandMediaContentTags
  - description: Endpoints relating to content tags.
    name: ContentTags
  - description: Endpoints relating to custom metrics
    name: Custom Metrics
  - description: Endpoints relating to segment clusters tags
    name: SegmentClusterTags
  - description: Endpoints relating to segment clusters tag associations
    name: SegmentClusterTagAssociations
  - description: Retrieve competitors for a channel
    name: CompetitorsSearch
  - description: Endpoints responsible for creating, reading, and updating galleries.
    name: Gallery
  - description: Public endpoints responsible for reading galleries
    name: PublicGallery
  - description: Endpoints responsible for gallery tags operations.
    name: GalleryTags
  - description: Endpoints relating to content automations.
    name: ContentContentAutomations
  - description: >-
      Endpoints responsible for starting, continuing, and reading gallery
      transfers
    name: GalleryTransfer
  - description: Endpoints to fetch Google Analytics data for brands
    name: GoogleAnalytics
  - description: Endpoints responsible for processing media (mostly superseded by v2).
    name: MediaV1
  - description: Endpoints responsible for searching for media
    name: MediaSearch
  - description: >-
      Endpoints responsible for creating, reading, updating a single piece of
      media.
    name: Single Media
  - description: Endpoints responsible for creating, reading, and updating media.
    name: Media
  - description: Endpoints responsible for query aggregated media timeseries metrics.
    name: MediaTimeseriesMetrics
  - description: Public endpoints responsible for reading media
    name: PublicMedia
  - description: Endpoints responsible for creating, reading, and updating products.
    name: Product
  - description: Public endpoints responsible for reading products.
    name: PublicProduct
  - description: >-
      Endpoints responsible for creating, reading, and updating Product
      Catalogs.
    name: Product Catalog
  - description: Endpoints responsible for creating, reading, and updating Product Feeds.
    name: Product Feed
  - description: Report generation
    name: Reports
  - description: Endpoints responsible for fetching Open Graph metadata.
    name: URL Metadata
  - description: UTM Settings, preset values and encoding/decoding of scheduler posts
    name: UTMSettings
  - description: Endpoints for video generation usage.
    name: VideoGeneration
paths:
  /public/brands/{brand_id}/galleries/{gallery_id}/media:
    parameters:
      - description: The Dash Social assigned ID of the brand.
        in: path
        name: brand_id
        required: true
        schema:
          minimum: 0
          type: integer
      - description: The ID of the gallery.
        in: path
        name: gallery_id
        required: true
        schema:
          minimum: 0
          type: integer
    get:
      tags:
        - PublicGallery
      summary: Retrieve gallery media
      description: >-
        Returns media items from a gallery. This is a public endpoint — no
        authorization required.
      parameters:
        - description: Sort by field. "-" for descending.
          in: query
          name: sort
          required: false
          schema:
            enum:
              - PUBLISHED_AT
              - CREATED
              - UPDATED
              - ORDER
              - VISITS
              - ADDED
              - POSTED
              - CLICKS
              - LIKESHOP_CLICKS
              - PERFORMANCE
              - VIDEO_VIEWS
              - AVERAGE_VIDEO_WATCH_TIME
              - INSTAGRAM_EFFECTIVENESS
              - INSTAGRAM_REACH
              - INSTAGRAM_ENGAGEMENT
              - INSTAGRAM_ORGANIC_COMMENTS
              - INSTAGRAM_PAID_COMMENTS
              - INSTAGRAM_TOTAL_COMMENTS
              - INSTAGRAM_ENGAGEMENT_RATE
              - INSTAGRAM_ENGAGEMENT_RATE_VIEWS
              - INSTAGRAM_ORGANIC_IMPRESSIONS
              - INSTAGRAM_PAID_IMPRESSIONS
              - INSTAGRAM_TOTAL_IMPRESSIONS
              - INSTAGRAM_ORGANIC_LIKES
              - INSTAGRAM_PAID_LIKES
              - INSTAGRAM_TOTAL_LIKES
              - INSTAGRAM_SAVES
              - INSTAGRAM_TOTAL_ENGAGEMENTS
              - INSTAGRAM_PAID_TOTAL_ENGAGEMENTS
              - INSTAGRAM_SUM_TOTAL_ENGAGEMENTS
              - INSTAGRAM_VIDEO_VIEWS
              - INSTAGRAM_PAID_VIDEO_VIEWS
              - INSTAGRAM_TOTAL_VIDEO_VIEWS
              - INSTAGRAM_PAID_ENGAGEMENT_RATE
              - INSTAGRAM_TOTAL_WATCH_TIME
              - INSTAGRAM_STORY_REACH
              - INSTAGRAM_STORY_IMPRESSIONS
              - INSTAGRAM_STORY_SWIPE_UPS
              - INSTAGRAM_STORY_REPLIES
              - INSTAGRAM_STORY_EXIT_RATE
              - PINTEREST_CLICKS
              - PINTEREST_CLOSEUPS
              - PINTEREST_COMMENTS
              - PINTEREST_ENGAGEMENT
              - PINTEREST_IMPRESSIONS
              - PINTEREST_SAVES
              - PINTEREST_VIDEO_VIEWS
              - PINTEREST_AVERAGE_VIDEO_WATCH_TIME
              - PINTEREST_ENGAGEMENTS
              - DATE
              - INSTAGRAM_STORY_FRAME_REACH
              - INSTAGRAM_STORY_FRAME_IMPRESSIONS
              - INSTAGRAM_STORY_FRAME_COMPLETION_RATE
              - INSTAGRAM_STORY_FRAME_EXITS
              - INSTAGRAM_STORY_FRAME_EXIT_RATE
              - INSTAGRAM_STORY_FRAME_SWIPE_UPS
              - INSTAGRAM_STORY_FRAME_REPLIES
              - INSTAGRAM_STORY_FRAME_TAPS_BACK
              - INSTAGRAM_STORY_FRAME_TAPS_FORWARD
              - FACEBOOK_PHOTO_VIEW_CLICKS
              - FACEBOOK_POST_CLICKS
              - FACEBOOK_COMMENTS
              - FACEBOOK_REACH
              - FACEBOOK_EFFECTIVENESS
              - FACEBOOK_REACTIONS
              - FACEBOOK_ENGAGEMENT_RATE
              - FACEBOOK_ENGAGEMENT_RATE_PUBLIC
              - FACEBOOK_SHARES
              - FACEBOOK_IMPRESSIONS
              - FACEBOOK_TOTAL_ENGAGEMENTS
              - FACEBOOK_TOTAL_ENGAGEMENTS_PUBLIC
              - FACEBOOK_LINK_CLICKS
              - FACEBOOK_VIDEO_COMPLETE_VIEWS
              - FACEBOOK_OTHER_CLICKS
              - FACEBOOK_VIDEO_VIEWS
              - FACEBOOK_REELS_POST_VIDEO_VIEW_TIME
              - FACEBOOK_REELS_POST_IMPRESSIONS_UNIQUE
              - TWITTER_ENGAGEMENT_RATE
              - TWITTER_IMPRESSIONS
              - TWITTER_URL_CLICKS
              - TWITTER_USER_PROFILE_CLICKS
              - TWITTER_QUOTE_TWEETS
              - TWITTER_REPLIES
              - TWITTER_RETWEETS
              - TWITTER_TOTAL_ENGAGEMENTS
              - TWITTER_TOTAL_RETWEETS
              - TWITTER_FOLLOWS
              - TWITTER_VIDEO_VIEWS
              - TIKTOK_REACH
              - TIKTOK_AVERAGE_TIME_WATCHED
              - TIKTOK_AVERAGE_COMPLETION_RATE
              - TIKTOK_COMMENTS
              - TIKTOK_IMPRESSIONS_SEARCH_RATE
              - TIKTOK_FULL_VIDEO_WATCHED_RATE
              - TIKTOK_SHARES
              - TIKTOK_ENGAGEMENT_RATE
              - TIKTOK_ENTERTAINMENT_SCORE
              - TIKTOK_IMPRESSIONS_SOUND_RATE
              - TIKTOK_IMPRESSIONS_FOLLOW_RATE
              - TIKTOK_TOTAL_ENGAGEMENTS
              - TIKTOK_IMPRESSIONS_FOR_YOU_RATE
              - TIKTOK_TOTAL_TIME_WATCHED
              - TIKTOK_IMPRESSIONS_HASHTAG_RATE
              - TIKTOK_DURATION
              - TIKTOK_LIKES
              - TIKTOK_VIEWS
              - TIKTOK_IMPRESSIONS_PERSONAL_PROFILE_RATE
              - YOUTUBE_AVG_VIEW_PERCENTAGE
              - YOUTUBE_AVG_VIEW_DURATION
              - YOUTUBE_CARD_IMPRESSIONS
              - YOUTUBE_CARD_CLICKS
              - YOUTUBE_CARD_CLICK_RATE
              - YOUTUBE_CARD_TEASER_CLICKS
              - YOUTUBE_CARD_TEASER_CLICK_RATE
              - YOUTUBE_CARD_TEASER_IMPRESSIONS
              - YOUTUBE_COMMENTS
              - YOUTUBE_DISLIKES
              - YOUTUBE_LIKES
              - YOUTUBE_PREMIUM_VIEWS
              - YOUTUBE_EST_PREMIUM_SECONDS_WATCHED
              - YOUTUBE_SHARES
              - YOUTUBE_SUBSCRIBERS
              - YOUTUBE_ENGAGEMENTS
              - YOUTUBE_VIDEOS_ADDED_TO_PLAYLIST
              - YOUTUBE_VIEWS
              - YOUTUBE_EST_SECONDS_WATCHED
              - LINKEDIN_CLICK_THROUGH_RATE
              - LINKEDIN_CLICKS
              - LINKEDIN_COMMENTS
              - LINKEDIN_ENGAGEMENTS
              - LINKEDIN_ENGAGEMENT_RATE
              - LINKEDIN_IMPRESSIONS
              - LINKEDIN_LIKES
              - LINKEDIN_SHARES
              - LINKEDIN_UNIQUE_IMPRESSIONS
              - LINKEDIN_VIDEO_ANALYTICS_VIDEO_VIEWS
              - LINKEDIN_VIDEO_ANALYTICS_TIME_WATCHED_FOR_VIEWS
              - THREADS_ENGAGEMENTS
              - THREADS_ENGAGEMENT_RATE
              - THREADS_LIKES
              - THREADS_QUOTES
              - THREADS_REPLIES
              - THREADS_REPOSTS
              - THREADS_REPOSTS_AND_QUOTES
              - THREADS_SHARES
              - THREADS_VIEWS
              - SNAPCHAT_AVG_VIEW_TIME_SECONDS
              - SNAPCHAT_COMPLETES
              - SNAPCHAT_ENGAGEMENT_RATE
              - SNAPCHAT_ENGAGEMENTS
              - SNAPCHAT_FAVORITES
              - SNAPCHAT_INTERACTIONS
              - SNAPCHAT_REPLIES
              - SNAPCHAT_SHARES
              - SNAPCHAT_SWIPE_DOWNS
              - SNAPCHAT_SWIPE_UPS
              - SNAPCHAT_UNIQUE_SESSIONS
              - SNAPCHAT_VIEW_TIME_SECONDS
              - SNAPCHAT_VIEWERS
              - SNAPCHAT_VIEWS
              - '-PUBLISHED_AT'
              - '-CREATED'
              - '-UPDATED'
              - '-ORDER'
              - '-VISITS'
              - '-ADDED'
              - '-POSTED'
              - '-CLICKS'
              - '-LIKESHOP_CLICKS'
              - '-PERFORMANCE'
              - '-VIDEO_VIEWS'
              - '-AVERAGE_VIDEO_WATCH_TIME'
              - '-INSTAGRAM_EFFECTIVENESS'
              - '-INSTAGRAM_REACH'
              - '-INSTAGRAM_ENGAGEMENT'
              - '-INSTAGRAM_ORGANIC_COMMENTS'
              - '-INSTAGRAM_PAID_COMMENTS'
              - '-INSTAGRAM_TOTAL_COMMENTS'
              - '-INSTAGRAM_ENGAGEMENT_RATE'
              - '-INSTAGRAM_ENGAGEMENT_RATE_VIEWS'
              - '-INSTAGRAM_ORGANIC_IMPRESSIONS'
              - '-INSTAGRAM_PAID_IMPRESSIONS'
              - '-INSTAGRAM_TOTAL_IMPRESSIONS'
              - '-INSTAGRAM_ORGANIC_LIKES'
              - '-INSTAGRAM_PAID_LIKES'
              - '-INSTAGRAM_TOTAL_LIKES'
              - '-INSTAGRAM_SAVES'
              - '-INSTAGRAM_TOTAL_ENGAGEMENTS'
              - '-INSTAGRAM_PAID_TOTAL_ENGAGEMENTS'
              - '-INSTAGRAM_SUM_TOTAL_ENGAGEMENTS'
              - '-INSTAGRAM_VIDEO_VIEWS'
              - '-INSTAGRAM_PAID_VIDEO_VIEWS'
              - '-INSTAGRAM_TOTAL_VIDEO_VIEWS'
              - '-INSTAGRAM_PAID_ENGAGEMENT_RATE'
              - '-INSTAGRAM_TOTAL_WATCH_TIME'
              - '-INSTAGRAM_STORY_REACH'
              - '-INSTAGRAM_STORY_IMPRESSIONS'
              - '-INSTAGRAM_STORY_SWIPE_UPS'
              - '-INSTAGRAM_STORY_REPLIES'
              - '-INSTAGRAM_STORY_EXIT_RATE'
              - '-PINTEREST_CLICKS'
              - '-PINTEREST_CLOSEUPS'
              - '-PINTEREST_COMMENTS'
              - '-PINTEREST_ENGAGEMENT'
              - '-PINTEREST_IMPRESSIONS'
              - '-PINTEREST_SAVES'
              - '-PINTEREST_VIDEO_VIEWS'
              - '-PINTEREST_AVERAGE_VIDEO_WATCH_TIME'
              - '-PINTEREST_ENGAGEMENTS'
              - '-DATE'
              - '-INSTAGRAM_STORY_FRAME_REACH'
              - '-INSTAGRAM_STORY_FRAME_IMPRESSIONS'
              - '-INSTAGRAM_STORY_FRAME_COMPLETION_RATE'
              - '-INSTAGRAM_STORY_FRAME_EXITS'
              - '-INSTAGRAM_STORY_FRAME_EXIT_RATE'
              - '-INSTAGRAM_STORY_FRAME_SWIPE_UPS'
              - '-INSTAGRAM_STORY_FRAME_REPLIES'
              - '-INSTAGRAM_STORY_FRAME_TAPS_BACK'
              - '-INSTAGRAM_STORY_FRAME_TAPS_FORWARD'
              - '-FACEBOOK_PHOTO_VIEW_CLICKS'
              - '-FACEBOOK_POST_CLICKS'
              - '-FACEBOOK_COMMENTS'
              - '-FACEBOOK_REACH'
              - '-FACEBOOK_EFFECTIVENESS'
              - '-FACEBOOK_REACTIONS'
              - '-FACEBOOK_ENGAGEMENT_RATE'
              - '-FACEBOOK_ENGAGEMENT_RATE_PUBLIC'
              - '-FACEBOOK_SHARES'
              - '-FACEBOOK_IMPRESSIONS'
              - '-FACEBOOK_TOTAL_ENGAGEMENTS'
              - '-FACEBOOK_TOTAL_ENGAGEMENTS_PUBLIC'
              - '-FACEBOOK_LINK_CLICKS'
              - '-FACEBOOK_VIDEO_COMPLETE_VIEWS'
              - '-FACEBOOK_OTHER_CLICKS'
              - '-FACEBOOK_VIDEO_VIEWS'
              - '-FACEBOOK_REELS_POST_VIDEO_VIEW_TIME'
              - '-FACEBOOK_REELS_POST_IMPRESSIONS_UNIQUE'
              - '-TWITTER_ENGAGEMENT_RATE'
              - '-TWITTER_IMPRESSIONS'
              - '-TWITTER_URL_CLICKS'
              - '-TWITTER_USER_PROFILE_CLICKS'
              - '-TWITTER_QUOTE_TWEETS'
              - '-TWITTER_REPLIES'
              - '-TWITTER_RETWEETS'
              - '-TWITTER_TOTAL_ENGAGEMENTS'
              - '-TWITTER_TOTAL_RETWEETS'
              - '-TWITTER_FOLLOWS'
              - '-TWITTER_VIDEO_VIEWS'
              - '-TIKTOK_REACH'
              - '-TIKTOK_AVERAGE_TIME_WATCHED'
              - '-TIKTOK_AVERAGE_COMPLETION_RATE'
              - '-TIKTOK_COMMENTS'
              - '-TIKTOK_IMPRESSIONS_SEARCH_RATE'
              - '-TIKTOK_FULL_VIDEO_WATCHED_RATE'
              - '-TIKTOK_SHARES'
              - '-TIKTOK_ENGAGEMENT_RATE'
              - '-TIKTOK_ENTERTAINMENT_SCORE'
              - '-TIKTOK_IMPRESSIONS_SOUND_RATE'
              - '-TIKTOK_IMPRESSIONS_FOLLOW_RATE'
              - '-TIKTOK_TOTAL_ENGAGEMENTS'
              - '-TIKTOK_IMPRESSIONS_FOR_YOU_RATE'
              - '-TIKTOK_TOTAL_TIME_WATCHED'
              - '-TIKTOK_IMPRESSIONS_HASHTAG_RATE'
              - '-TIKTOK_DURATION'
              - '-TIKTOK_LIKES'
              - '-TIKTOK_VIEWS'
              - '-TIKTOK_IMPRESSIONS_PERSONAL_PROFILE_RATE'
              - '-YOUTUBE_AVG_VIEW_PERCENTAGE'
              - '-YOUTUBE_AVG_VIEW_DURATION'
              - '-YOUTUBE_CARD_IMPRESSIONS'
              - '-YOUTUBE_CARD_CLICKS'
              - '-YOUTUBE_CARD_CLICK_RATE'
              - '-YOUTUBE_CARD_TEASER_CLICKS'
              - '-YOUTUBE_CARD_TEASER_CLICK_RATE'
              - '-YOUTUBE_CARD_TEASER_IMPRESSIONS'
              - '-YOUTUBE_COMMENTS'
              - '-YOUTUBE_DISLIKES'
              - '-YOUTUBE_LIKES'
              - '-YOUTUBE_PREMIUM_VIEWS'
              - '-YOUTUBE_EST_PREMIUM_SECONDS_WATCHED'
              - '-YOUTUBE_SHARES'
              - '-YOUTUBE_SUBSCRIBERS'
              - '-YOUTUBE_ENGAGEMENTS'
              - '-YOUTUBE_VIDEOS_ADDED_TO_PLAYLIST'
              - '-YOUTUBE_VIEWS'
              - '-YOUTUBE_EST_SECONDS_WATCHED'
              - '-LINKEDIN_CLICK_THROUGH_RATE'
              - '-LINKEDIN_CLICKS'
              - '-LINKEDIN_COMMENTS'
              - '-LINKEDIN_ENGAGEMENTS'
              - '-LINKEDIN_ENGAGEMENT_RATE'
              - '-LINKEDIN_IMPRESSIONS'
              - '-LINKEDIN_LIKES'
              - '-LINKEDIN_SHARES'
              - '-LINKEDIN_UNIQUE_IMPRESSIONS'
              - '-LINKEDIN_VIDEO_ANALYTICS_VIDEO_VIEWS'
              - '-LINKEDIN_VIDEO_ANALYTICS_TIME_WATCHED_FOR_VIEWS'
              - '-THREADS_ENGAGEMENTS'
              - '-THREADS_ENGAGEMENT_RATE'
              - '-THREADS_LIKES'
              - '-THREADS_QUOTES'
              - '-THREADS_REPLIES'
              - '-THREADS_REPOSTS'
              - '-THREADS_REPOSTS_AND_QUOTES'
              - '-THREADS_SHARES'
              - '-THREADS_VIEWS'
              - '-SNAPCHAT_AVG_VIEW_TIME_SECONDS'
              - '-SNAPCHAT_COMPLETES'
              - '-SNAPCHAT_ENGAGEMENT_RATE'
              - '-SNAPCHAT_ENGAGEMENTS'
              - '-SNAPCHAT_FAVORITES'
              - '-SNAPCHAT_INTERACTIONS'
              - '-SNAPCHAT_REPLIES'
              - '-SNAPCHAT_SHARES'
              - '-SNAPCHAT_SWIPE_DOWNS'
              - '-SNAPCHAT_SWIPE_UPS'
              - '-SNAPCHAT_UNIQUE_SESSIONS'
              - '-SNAPCHAT_VIEW_TIME_SECONDS'
              - '-SNAPCHAT_VIEWERS'
              - '-SNAPCHAT_VIEWS'
            type: string
        - description: Number of results to return in a single response.
          in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 1000
            minimum: 1
            type: integer
        - description: The offset of the first result to be returned.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
        - description: A formatted datetime string in UTC.
          in: query
          name: start_date
          required: false
          schema:
            default: null
            example: '2019-12-01'
            nullable: true
            pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$
            type: string
        - description: A formatted datetime string in UTC.
          in: query
          name: end_date
          required: false
          schema:
            default: null
            example: '2019-12-12'
            nullable: true
            pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$
            type: string
        - description: Only return media that have products.
          in: query
          name: with_products_only
          required: false
          schema:
            default: false
            type: boolean
        - description: Comma-separated list of IDs to return.
          explode: false
          in: query
          name: include_product_overrides
          required: false
          schema:
            items:
              type: string
            type: array
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGalleryMediaList'
          description: OK
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
      security: []
components:
  schemas:
    PublicGalleryMediaList:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PublicGalleryMedia'
          type: array
        paging:
          $ref: '#/components/schemas/PagingData'
      type: object
    PublicGalleryMedia:
      properties:
        brand_media_notes:
          readOnly: true
        brand_media_type:
          type: string
        created_at:
          format: date-time
          type: string
        id:
          type: integer
        media:
          $ref: '#/components/schemas/PublicMedia'
        order:
          type: number
        products:
          items:
            $ref: '#/components/schemas/PublicGalleryMediaProduct'
          type: array
        updated_at:
          format: date-time
          type: string
      type: object
    PagingData:
      properties:
        count:
          description: Number of records in the current page.
          type: integer
        next:
          description: URL to the next page of data.
          format: url
          nullable: true
          type: string
        previous:
          description: URL to the previous page of data.
          format: url
          nullable: true
          type: string
      type: object
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
    PublicMedia:
      properties:
        created_at:
          format: date-time
          type: string
        duration: {}
        id:
          type: integer
        image_sizes:
          readOnly: true
        media_group:
          type: integer
        original_height:
          type: integer
        original_width:
          type: integer
        source:
          type: string
        source_created_at:
          format: date-time
          type: string
        source_data:
          readOnly: true
        source_id:
          type: string
        type:
          type: string
        updated_at:
          format: date-time
          type: string
        urls:
          readOnly: true
        video_sizes:
          readOnly: true
      type: object
    PublicGalleryMediaProduct:
      properties:
        clicks:
          description: Clicks of the product for this media.
          type: integer
        description:
          description: Description of the product.
          type: string
        id:
          description: ID of the object.
          readOnly: true
          type: integer
        image_url:
          description: Image URL of the product.
          type: string
        product_groups:
          items:
            $ref: '#/components/schemas/ProductGroup'
          type: array
        product_overrides:
          items:
            $ref: '#/components/schemas/ProductOverride'
          type: array
        source_id:
          description: Source ID of the product (SKU or brand's product ID).
          type: string
        title:
          description: Title of the product.
          type: string
        url:
          description: URL of the product.
          type: string
        x:
          description: X coordinate of the product displayed in this media.
          type: number
        'y':
          description: Y coordinate of the product displayed in this media.
          type: number
      type: object
    ProductGroup:
      properties:
        country_code:
          type: string
        created_at:
          format: date-time
          type: string
        description:
          type: string
        image_url:
          type: string
        source_id:
          type: string
        title:
          type: string
        url:
          type: string
      type: object
    ProductOverride:
      properties:
        availability:
          type: string
        brand_id:
          type: integer
        created_at:
          format: date-time
          type: string
        currency_code:
          maxLength: 3
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        id:
          type: integer
        image_url:
          maxLength: 750
          nullable: true
          type: string
        last_updated_by_product_feed_at:
          format: date-time
          nullable: true
          type: string
        original_url:
          maxLength: 750
          nullable: true
          type: string
        override:
          maxLength: 5
          type: string
        price:
          maxLength: 50
          nullable: true
          type: string
        source_id:
          maxLength: 70
          type: string
        title:
          maxLength: 512
          nullable: true
          type: string
        updated_at:
          format: date-time
          type: string
        url:
          maxLength: 750
          nullable: true
          type: string
      required:
        - brand_id
        - override
        - source_id
      type: object
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````